Name:           bzr-explorer
Version:        1.3.0
Release:        %mkrel 1
Summary:        A GUI for Bazaar
Summary(de):	Eine GUI für Bazaar
Group:          Development/Other
License:        GPL
URL:            https://launchpad.net/bzr-explorer
Source0:        https://launchpad.net/%{name}/stable/%{version}/+download/%{name}-%{version}.tar.xz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}
BuildArch:      noarch
BuildRequires:  python-devel 
BuildRequires:  bzr
BuildRequires:  python-pkg-resources
BuildRequires:	python-paste
Requires:       bzr >= 2.1
Requires:	qbzr >= 0.18
Requires:	python >= 2.7

%description
Bazaar Explorer is a desktop application for using the Bazaar Version Control System. It provides a 
high level interface to all commonly used features, launching "applets" from the QBzr plug-in to 
provide most of the functionality. Alternatively, the applets from the bzr-gtk plug-in can be used 
if it is installed. Bazaar Explorer runs on GNOME, KDE, Windows and Mac OS X.

%description -l de
Bazaar Explorer ist ein Desktopprogramm für die Benutzung des Bazaar Versionskontrollsystems
Es bietet eine Schnittstelle zu allen allgemeinhin genutzten Eigenschaften. Es führt die meisten
"Applets" von QBzr aus um die meisten Funktionalitäten bereitzustellen. Alternativ können
auch die Plugins von bzr-gtk genutzt werden, wenn es installiert ist. Bazaar Explorer
läuft unter GNOME, KDE, Windows und Mac OS X.

%prep
%setup -q -n %{name}-%{version}


%build

%install
rm -rf $RPM_BUILD_ROOT
python setup.py install --prefix=%{buildroot}/%_prefix
# move desktop icon for menu 
mkdir -p %{buildroot}%{_datadir}/applications 
cp -r $RPM_BUILD_DIR/%{name}-%{version}/%{name}.desktop $RPM_BUILD_ROOT/%{_datadir}/applications/ 

%clean
rm -rf $RPM_BUILD_ROOT

%post 
%{update_menus} 
%{update_desktop_database} 
	 
%postun 
%{update_menus} 
%{update_desktop_database} 

%files 
%defattr(-,root,root,-)
%doc NEWS COPYING.txt
%dir %py_puresitedir/bzrlib/plugins/explorer
%py_puresitedir/bzrlib/plugins/explorer/*
%py_puresitedir/explorer-%{version}-py2.7.egg-info
%{_datadir}/applications/%{name}.desktop


%changelog
* Sun Aug 03 2014 pinoc <vogtpet at gmail.com> 1.3.0-1pclos2014
- 1.3.0
- added desktop file

* Fri Aug 16 2013 billybot <billybot> 1.2.2-2pclos2013
- update python 2.7

* Thu May 31 2012 Neal <nealbrks0 at gmail dot com> 1.2.2-1pclos2012
- process

* Thu May 31 2012 ghostbunny <hmhaase at pclinusosusers dot de> 1.2.2-1pclos2012
- 1.2.2
- added german summary and description

* Sat Sep 11 2010 Texstar <texstar at gmail.com> 1.0.2-1pclos2010
- update

